<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use App\Jobs\BroadbandTraffic as Job;
use App\Models\AdslSupplier;

class BroadbandTraffic extends Command
{
	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'broadband:traffic:import';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'Input Broadband Traffic from Suppliers';

	/**
	 * Create a new command instance.
	 *
	 * @return void
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/**
	 * Execute the console command.
	 *
	 * @return mixed
	 */
	public function handle()
	{
		foreach (AdslSupplier::active()->get() as $o) {
			Job::dispatchNow($o);
		}
	}
}